#include <iostream>
#include <list>

void printList(const std::list<int>& lst) {
    for (int num : lst) {
        std::cout << num << " ";
    }
    std::cout << std::endl;
}

int main() {
    std::list<int> numbers = {1, 2, 3, 4, 5};

    // Insert before 3
    auto it = std::find(numbers.begin(), numbers.end(), 3);
    if (it != numbers.end()) {
        numbers.insert(it, 10);
    }

    std::cout << "After insertion: ";
    printList(numbers);

    // Remove all even numbers
    numbers.remove_if([](int n) { return n % 2 == 0; });

    std::cout << "After removing even numbers: ";
    printList(numbers);

    return 0;
}
