#include <iostream>
#include <list>

void printList(const std::list<int>& lst) {
    for (int num : lst) {
        std::cout << num << " ";
    }
    std::cout << std::endl;
}

int main() {
    std::list<int> list1 = {1, 3, 5};
    std::list<int> list2 = {2, 4, 6};

    // Splice entire list2 into list1 after the first element
    auto it = std::next(list1.begin());
    list1.splice(it, list2);

    std::cout << "After splicing: ";
    printList(list1);

    // Create two new sorted lists
    std::list<int> sorted1 = {1, 3, 5, 7};
    std::list<int> sorted2 = {2, 4, 6, 8};

    // Merge sorted lists
    sorted1.merge(sorted2);

    std::cout << "After merging: ";
    printList(sorted1);

    return 0;
}
